video
from0.0683 / s
Kling O3
Generates and edits videos using image or video references, multi-shot scenes and native sound.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/o3/first-last-frame", { input: { "mode": "pro", "sound": "off", "duration": 5, "multi_shots": false }, withPolling: true, },); console.log(result);Calling the API
Use kling-video/o3/first-last-frame with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/o3/first-last-frame", { input: { "mode": "pro", "sound": "off", "duration": 5, "multi_shots": false }, withPolling: true, },); console.log(result);Request parameters
promptstring · optional
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}modestring · optional
mode
Options: std, pro, 4k
Default: "pro"
{
"enum": [
"std",
"pro",
"4k"
],
"type": "string",
"default": "pro"
}soundstring · optional
sound
Options: on, off
Default: "off"
{
"enum": [
"on",
"off"
],
"type": "string",
"default": "off"
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 3
}multi_shotsboolean · optional
multi shots
Default: false
{
"type": "boolean",
"default": false
}aspect_ratiostring · optional
aspect ratio
Options: 16:9, 9:16, 1:1
{
"enum": [
"16:9",
"9:16",
"1:1"
],
"type": "string"
}multi_promptarray · optional
multi prompt
{
"type": "array",
"items": {
"type": "object",
"properties": {
"prompt": {
"type": "string",
"maxLength": 512
},
"duration": {
"type": "integer",
"maximum": 15,
"minimum": 1
}
}
},
"maxItems": 6,
"minItems": 1
}last_frame_urlstring · optional
Last frame URL
{
"type": "string",
"title": "Last frame URL",
"format": "uri"
}first_frame_urlstring · optional
First frame URL
{
"type": "string",
"title": "First frame URL",
"format": "uri"
}Price
Standard self-serve rates in USD per video second: 720p: $0.0683; 1080p: $0.0860. Total price = selected rate × output duration in seconds. For explicit multi-shot requests, output duration is the sum of the shot durations.
View all pricing